Bug 117499 - (usermode-execcontext) Can't set exec context in userhelper
Can't set exec context in userhelper
Product: Fedora
Classification: Fedora
Component: usermode (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
: 119406 119414 119433 119746 120002 (view as bug list)
Depends On:
Blocks: 122683
  Show dependency treegraph
Reported: 2004-03-04 12:53 EST by Bill Nottingham
Modified: 2014-03-16 22:42 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-12-01 08:50:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2004-03-04 12:53:25 EST

Running some userhelper-ified tool, after entering the (correct)
password, I get:

Could not set exec context to user_u:sysadm_r:sysadm_t.

and it exits.
Comment 1 Bill Nottingham 2004-03-04 12:53:55 EST
Running 'su ; system-config-display' works.

Comment 2 Kaj J. Niemi 2004-03-04 17:39:15 EST
This looks like a duplicate of bug #115684 (although I was vague at
the time ;-))
Comment 3 Bill Nottingham 2004-03-04 17:40:36 EST
Definitely maybe. There's no GUI popups in this case, though.
Comment 4 Eugenia Loli-Queru 2004-03-30 02:30:57 EST
Here is the same bug resubmitted, please read:

Bill, any idea why this is happening? How can we fix it?
To me it happens on ALL authentication-required system panels. It 
gives me the password box, I enter it, but the pref panel never comes 
Comment 5 Eugenia Loli-Queru 2004-03-30 02:31:44 EST
I also found these (more people with the problem):
Comment 6 Bill Nottingham 2004-03-30 11:42:27 EST
*** Bug 119406 has been marked as a duplicate of this bug. ***
Comment 7 Bill Nottingham 2004-03-30 11:42:38 EST
*** Bug 119414 has been marked as a duplicate of this bug. ***
Comment 8 Bill Nottingham 2004-03-30 16:43:28 EST
*** Bug 119433 has been marked as a duplicate of this bug. ***
Comment 9 Eugenia Loli-Queru 2004-03-30 20:55:18 EST
When yesterday I logged in as "root" for the first time from the 
command line, it asked me about a profile as:
root:sysadm_r:sysadm_t (or something to this effect).

Now, the error message we get here on this bug when we try to load an 
authenticated application is "Could not set exec context to 

My gut feeling (this is a wild guess) says that this bug is a simple 
typo. In my case it should have said "eugenia:sysadm_r:sysadm_t" but 
instead it said "user_u:sysadm_r:sysadm_t". It seems to me that the 
code somewhere prints and executes as login name the $variable name 
instead of the actual value of the $variable and that's why it's 
failing (and it also pops up to us the "uknown user" alert box as 
seen on bug #115684 when trying to reboot/shutdown the machine)

With this theory, I think a few similar bugs filed since yesterday 
(which have to do with users and authentication on particular apps) 
seem resolved. Could someone have a look for this wild guess?
Comment 10 Bill Nottingham 2004-04-05 17:48:25 EDT
*** Bug 119746 has been marked as a duplicate of this bug. ***
Comment 11 Bill Nottingham 2004-04-06 12:32:13 EDT
*** Bug 120002 has been marked as a duplicate of this bug. ***
Comment 12 Daniel Walsh 2004-12-01 08:50:40 EST
Fixed in FC3

Note You need to log in before you can comment on or make changes to this bug.